aboutsummaryrefslogtreecommitdiff
path: root/sp/src/thirdparty/protobuf-2.3.0/autogen.sh
diff options
context:
space:
mode:
authorJoe Ludwig <[email protected]>2013-06-26 15:22:04 -0700
committerJoe Ludwig <[email protected]>2013-06-26 15:22:04 -0700
commit39ed87570bdb2f86969d4be821c94b722dc71179 (patch)
treeabc53757f75f40c80278e87650ea92808274aa59 /sp/src/thirdparty/protobuf-2.3.0/autogen.sh
downloadsource-sdk-2013-39ed87570bdb2f86969d4be821c94b722dc71179.tar.xz
source-sdk-2013-39ed87570bdb2f86969d4be821c94b722dc71179.zip
First version of the SOurce SDK 2013
Diffstat (limited to 'sp/src/thirdparty/protobuf-2.3.0/autogen.sh')
-rw-r--r--sp/src/thirdparty/protobuf-2.3.0/autogen.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/sp/src/thirdparty/protobuf-2.3.0/autogen.sh b/sp/src/thirdparty/protobuf-2.3.0/autogen.sh
new file mode 100644
index 00000000..8cfd60e7
--- /dev/null
+++ b/sp/src/thirdparty/protobuf-2.3.0/autogen.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Run this script to generate the configure script and other files that will
+# be included in the distribution. These files are not checked in because they
+# are automatically generated.
+
+set -e
+
+# Check that we're being run from the right directory.
+if test ! -f src/google/protobuf/stubs/common.h; then
+ cat >&2 << __EOF__
+Could not find source code. Make sure you are running this script from the
+root of the distribution tree.
+__EOF__
+ exit 1
+fi
+
+# Check that gtest is present. Usually it is already there since the
+# directory is set up as an SVN external.
+if test ! -e gtest; then
+ echo "Google Test not present. Fetching gtest-1.3.0 from the web..."
+ curl http://googletest.googlecode.com/files/gtest-1.3.0.tar.bz2 | tar jx
+ mv gtest-1.3.0 gtest
+fi
+
+set -ex
+
+# Temporary hack: Must change C runtime library to "multi-threaded DLL",
+# otherwise it will be set to "multi-threaded static" when MSVC upgrades
+# the project file to MSVC 2005/2008. vladl of Google Test says gtest will
+# probably change their default to match, then this will be unnecessary.
+# One of these mappings converts the debug configuration and the other
+# converts the release configuration. I don't know which is which.
+sed -i -e 's/RuntimeLibrary="5"/RuntimeLibrary="3"/g;
+ s/RuntimeLibrary="4"/RuntimeLibrary="2"/g;' gtest/msvc/*.vcproj
+
+# TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings.
+autoreconf -f -i -Wall,no-obsolete
+
+rm -rf autom4te.cache config.h.in~
+exit 0